<?php
include_once("c_setting_locals.php");
class c_page_cab_setting_local extends c_page_cab_setting_locals
{
 public $h1='Карточка локализации' ;
 public $rec_local ;
 public $page_type='window' ;
 public $cur_window_mode='window' ;

 function select_obj_info()
 { if (_CUR_ID)
   { $this->rec_local=execSQL_van('select * from obj_site_locals where pkey='._CUR_ID) ;
     if ($this->rec_local['pkey'])
     { $this->h1='Локализация "'.$this->rec_local['obj_name'].'"' ;
       $this->rec_local['__href']='/window/setting/local/'.$this->rec_local['pkey'].'/' ;
     }
     else $this->result=404 ;
   }
 }

 function second_menu_config()
 { $this->second_menu['/cab/setting/locals/']=array('title'=>'Список локализаций') ;
   if ($this->rec_local['pkey'])
   {   $this->second_menu[$this->rec_local['__href']]=array('title'=>'Слова локализации') ;

   }
 }

 function block_main()
 {

     $this->page_title() ;
     $this->panel_list_words() ;
 }


  function panel_list_words()
  {
      include_once(_DIR_EXT.'/aspmo_setting/report_local_words.php') ;
      $report_obj=new report_local_words() ;
      $report_obj->local_id=$this->rec_local['pkey'] ;
      $report_obj->setting() ;
      $report_obj->view() ;
  }


}



?>